- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vmware_drs_group_facts – Gathers facts about DRS VM/Host groups on the given cluster

New in version 2.8.

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Deprecated in favour of `_info` module.
Alternative: | Use vmware_drs_group_info instead.

## Synopsis

- This module can be used to gather facts about DRS VM/HOST groups from the given cluster.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- PyVmomi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cluster_name string |  | Cluster to search for VM/Host groups. If set, facts of DRS groups belonging this cluster will be returned. Not needed if `datacenter` is set.
datacenter string / required |  | Datacenter to search for DRS VM/Host groups. aliases: datacenter_name
hostname string |  | The hostname or IP address of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead. Environment variable support added in Ansible 2.6.
password string |  | The password of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. Environment variable support added in Ansible 2.6. aliases: pass, pwd
port integer added in 2.5 | Default: 443 | The port number of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PORT` will be used instead. Environment variable support added in Ansible 2.6.
proxy_host string added in 2.9 |  | Address of a proxy that will receive all HTTPS requests and relay them. The format is a hostname or a IP. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_HOST` will be used instead. This feature depends on a version of pyvmomi greater than v6.7.1.2018.12
proxy_port integer added in 2.9 |  | Port of the HTTP proxy that will receive all HTTPS requests and relay them. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_PORT` will be used instead.
username string |  | The username of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. Environment variable support added in Ansible 2.6. aliases: admin, user
validate_certs boolean | Choices: no yes ← | Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted. If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead. Environment variable support added in Ansible 2.6. If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.

## Notes

Note

- Tested on vSphere 6.5 and 6.7

## Examples

    ---
    - name: "Gather DRS facts about given Cluster"
      register: cluster_drs_group_facts
      vmware_drs_group_facts:
        hostname: "{{ vcenter_hostname }}"
        password: "{{ vcenter_password }}"
        username: "{{ vcenter_username }}"
        cluster_name: "{{ cluster_name }}"
        datacenter: "{{ datacenter }}"
      delegate_to: localhost

    - name: "Gather DRS group facts about all clusters in given datacenter"
      register: cluster_drs_group_facts
      vmware_drs_group_facts:
        hostname: "{{ vcenter_hostname }}"
        password: "{{ vcenter_password }}"
        username: "{{ vcenter_username }}"
        datacenter: "{{ datacenter }}"
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
drs_group_facts dictionary | always | Metadata about DRS group from given cluster / datacenter Sample: {'drs_group_facts': {'DC0_C0': [{'group_name': 'GROUP_HOST_S01', 'hosts': ['vm-01.zone', 'vm-02.zone'], 'type': 'host'}, {'group_name': 'GROUP_HOST_S02', 'hosts': ['vm-03.zone', 'vm-04.zone'], 'type': 'host'}, {'group_name': 'GROUP_VM_S01', 'type': 'vm', 'vms': ['test-node01']}, {'group_name': 'GROUP_VM_S02', 'type': 'vm', 'vms': ['test-node02']}], 'DC0_C1': []}}

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Karsten Kaj Jakobsen (@karstenjakobsen)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.